summaryrefslogtreecommitdiff
path: root/debian/tests/bug1011294
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/bug1011294')
-rwxr-xr-xdebian/tests/bug101129424
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/tests/bug1011294 b/debian/tests/bug1011294
new file mode 100755
index 00000000..302bcf73
--- /dev/null
+++ b/debian/tests/bug1011294
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2022 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License"); you may not
+# use this file except in compliance with the License. You may obtain a copy of
+# the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+# License for the specific language governing permissions and limitations under
+# the License.
+
+set -eu
+
+readonly TMP="$(mktemp -d)"
+trap "rm -rf \"$TMP\"" EXIT
+cd "$TMP"
+
+echo 'int main() {}' >noop.cc
+
+g++ -o noop noop.cc $(pkg-config --cflags absl_base) $(pkg-config --libs absl_base)